Package org.eclipse.emf.cdo.util

# Class CDOLazyContentAdapter

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterImpl
org.eclipse.emf.ecore.util.EContentAdapter
org.eclipse.emf.cdo.util.CDOLazyContentAdapter

All Implemented Interfaces:
  `Adapter`, `Adapter.Internal`

Direct Known Subclasses:
  `CDOModificationTrackingAdapter`

public class CDOLazyContentAdapter extends EContentAdapter
A scalable `content adapter` that uses CDO mechanisms to attach itself to `objects` when they are lazily loaded.

Since:
  4.0
Author:
  Victor Roldan Betancort

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.util.EContentAdapter

`iterating`

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

## Constructor Summary

Constructors
Constructor
Description
`CDOLazyContentAdapter()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addAdapter(Notifier notifier)`
`protected void`
`setTarget(EObject target)`
`protected void`
`unsetTarget(EObject target)`
EContentAdapter removes adapter from all contained EObjects.

### Methods inherited from class org.eclipse.emf.ecore.util.EContentAdapter

`basicSetTarget, basicUnsetTarget, handleContainment, notifyChanged, removeAdapter, removeAdapter, resolve, selfAdapt, setTarget, setTarget, setTarget, unsetTarget, unsetTarget, unsetTarget, unsetTarget, useRecursion`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget, isAdapterForType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CDOLazyContentAdapter

public CDOLazyContentAdapter()

## Method Details

### setTarget

protected void setTarget(EObject target)

Overrides:
  `setTarget` in class `EContentAdapter`

### unsetTarget

protected void unsetTarget(EObject target)
EContentAdapter removes adapter from all contained EObjects. In this case, we remove this adapter from all lazily loaded objects

Overrides:
  `unsetTarget` in class `EContentAdapter`

### addAdapter

protected void addAdapter(Notifier notifier)

Overrides:
  `addAdapter` in class `EContentAdapter`